### Method

# Gtk Widget set_css_classes

#### Declaration [src]

    void
    gtk_widget_set_css_classes (
      GtkWidget* widget,
      const char** classes
    )

#### Description [src]

Clear all style classes applied to `widget` and replace them with `classes`.

Sets property | `Gtk.Widget:css-classes`

#### Parameters

`classes` | An array of `char*`
| `NULL`-terminated list of style classes to apply to `widget`.
| The data is owned by the caller of the function.